%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-autopep8
Version:       2.3.2
Release:       1mamba
Summary:       Automatic generated to pep8 checked code
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           https://github.com/hhatto/autopep8
Source:        http://pypi.debian.net/autopep8/autopep8-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(pycodestyle)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
Requires:      python-pep8
BuildArch:     noarch

%description
autopep8 is automatic generated to pep8 checked code.
This is old style tool, wrapped pep8 via subprocess module.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n autopep8-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/autopep8
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%{python3_sitelib}/__pycache__/autopep8.cpython-*.pyc
%{python3_sitelib}/autopep8.py
%doc README.rst

%changelog
* Wed Jan 15 2025 Automatic Build System <autodist@openmamba.org> 2.3.2-1mamba
- automatic version update by autodist

* Sun Jun 23 2024 Automatic Build System <autodist@openmamba.org> 2.3.1-1mamba
- automatic version update by autodist

* Sun Jun 16 2024 Automatic Build System <autodist@openmamba.org> 2.3.0-1mamba
- automatic version update by autodist

* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 2.2.0-1mamba
- automatic version update by autodist

* Wed May 29 2024 Automatic Build System <autodist@openmamba.org> 2.1.2-1mamba
- automatic version update by autodist

* Thu May 23 2024 Automatic Build System <autodist@openmamba.org> 2.1.1-1mamba
- automatic version update by autodist

* Mon May 06 2024 Automatic Build System <autodist@openmamba.org> 2.1.0-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 2.0.4-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sun Aug 27 2023 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Sun Apr 09 2023 Sdk Build System <sdk@mambasoft.it> 2.0.2-2mamba
- rebuilt with python 3.10

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sat Oct 29 2022 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Fri Oct 28 2022 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sun Oct 24 2021 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Fri Apr 30 2021 Automatic Build System <autodist@mambasoft.it> 1.5.7-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Tue May 26 2020 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic update by autodist

* Sun Jun 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.4-1mamba
- update to 1.4.4

* Fri Dec 28 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-1mamba
- update to 1.4.3

* Sat Jan 10 2015 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic update by autodist

* Sun Jul 13 2014 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic update by autodist

* Mon Jun 02 2014 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic update by autodist

* Fri Dec 27 2013 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic update by autodist

* Sun Sep 22 2013 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic update by autodist

* Wed Jul 17 2013 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic update by autodist

* Sun Jun 09 2013 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-2mamba
- python 2.7 mass rebuild

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 0.9-1mamba
- automatic version update by autodist

* Mon Mar 04 2013 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 0.8.5-1mamba
- automatic version update by autodist

* Sun Nov 25 2012 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 0.7.3-1mamba
- automatic version update by autodist

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 0.6.5-1mamba
- automatic version update by autodist

* Sat Sep 10 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.1.3-1mamba
- package created by autospec
